<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('memes', function (Blueprint $table) {
            $table->json('action_keywords')->nullable();
            $table->json('emotion_keywords')->nullable();
            $table->json('misc_keywords')->nullable();
            $table->string('primary_keyword_type')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('memes', function (Blueprint $table) {
            $table->dropColumn('action_keywords');
            $table->dropColumn('emotion_keywords');
            $table->dropColumn('misc_keywords');
            $table->dropColumn('primary_keyword_type');
        });
    }
};
